Subject: bug#30728: Modification for guix installation script.

From: Mark H Weaver <[email-masked]>
Date: Sun, 25 Mar 2018 14:57:53 -0400

Ricardo Wurmus <[email-masked]> writes:

>> I have installed guix for the first time and noticed that the installation
>> script at
>> https://git.savannah.gnu.org/cgit/guix.git/tree/etc/guix-install.sh did not
>> work for me. So, I had to make some modifications.
>>
>> There was a problem with the path to root user home directory. Below I
>> provide diff output for original script and my modified script.
>
> Thank you.
>
> Could you please make that change on top of the current version of the
> Guix sources as a git commit?  Then you can run “git format-patch -1” to
> format it as a patch in a format that we can apply.  You can send the
> resulting patch file as an attachment to a reply to this email.
>
> This also fixes bug #30728, so please add this line to the commit
> message:
>
> Fixes <https://debbugs.gnu.org/30728>.

Note that there's also another proposed patch for this same issue, here:

https://bugs.gnu.org/30728#11

    Regards,
      Mark